Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class MLKEMPrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.MLKEMKeyParameters
              org.bouncycastle.crypto.params.MLKEMPrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

public class MLKEMPrivateKeyParameters
extends MLKEMKeyParameters

Field Summary
`static int` | `BOTH`
`static int` | `EXPANDED_KEY`
`static int` | `SEED_ONLY`

Constructor Summary
`MLKEMPrivateKeyParameters(MLKEMParameters params, byte[] encoding)`
`MLKEMPrivateKeyParameters(MLKEMParameters params, byte[] s, byte[] hpk, byte[] nonce, byte[] t, byte[] rho)`
`MLKEMPrivateKeyParameters(MLKEMParameters params, byte[] s, byte[] hpk, byte[] nonce, byte[] t, byte[] rho, byte[] seed)`
`MLKEMPrivateKeyParameters(MLKEMParameters params, byte[] encoding, MLKEMPublicKeyParameters pubKey)`

Method Summary
`byte[]` | `getEncoded()`
`byte[]` | `getHPK()`
`byte[]` | `getNonce()`
`MLKEMPrivateKeyParameters` | `getParametersWithFormat(int format)` Deprecated. Use `withPreferredFormat(int)` instead.
`int` | `getPreferredFormat()`
`byte[]` | `getPublicKey()`
`MLKEMPublicKeyParameters` | `getPublicKeyParameters()`
`byte[]` | `getRho()`
`byte[]` | `getS()`
`byte[]` | `getSeed()`
`byte[]` | `getT()`
`MLKEMPrivateKeyParameters` | `withPreferredFormat(int format)`

Methods inherited from class org.bouncycastle.crypto.params.MLKEMKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOTH

    public static final int BOTH

See Also:
  Constant Field Values

### SEED_ONLY

    public static final int SEED_ONLY

See Also:
  Constant Field Values

### EXPANDED_KEY

    public static final int EXPANDED_KEY

See Also:
  Constant Field Values

Constructor Detail

### MLKEMPrivateKeyParameters

    public MLKEMPrivateKeyParameters(MLKEMParameters params,
                                     byte[] s,
                                     byte[] hpk,
                                     byte[] nonce,
                                     byte[] t,
                                     byte[] rho)

### MLKEMPrivateKeyParameters

    public MLKEMPrivateKeyParameters(MLKEMParameters params,
                                     byte[] s,
                                     byte[] hpk,
                                     byte[] nonce,
                                     byte[] t,
                                     byte[] rho,
                                     byte[] seed)

### MLKEMPrivateKeyParameters

    public MLKEMPrivateKeyParameters(MLKEMParameters params,
                                     byte[] encoding)

### MLKEMPrivateKeyParameters

    public MLKEMPrivateKeyParameters(MLKEMParameters params,
                                     byte[] encoding,
                                     MLKEMPublicKeyParameters pubKey)

Method Detail

### getParametersWithFormat

    public MLKEMPrivateKeyParameters getParametersWithFormat(int format)

  Deprecated. Use `withPreferredFormat(int)` instead.

### withPreferredFormat

    public MLKEMPrivateKeyParameters withPreferredFormat(int format)

### getPreferredFormat

    public int getPreferredFormat()

### getEncoded

    public byte[] getEncoded()

### getHPK

    public byte[] getHPK()

### getNonce

    public byte[] getNonce()

### getPublicKey

    public byte[] getPublicKey()

### getPublicKeyParameters

    public MLKEMPublicKeyParameters getPublicKeyParameters()

### getRho

    public byte[] getRho()

### getS

    public byte[] getS()

### getT

    public byte[] getT()

### getSeed

    public byte[] getSeed()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD